<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Box Sizing Demo</title>
		
		<style type="text/css">
			/*
				Without border-box
				- it adds up the set padding and bordern to the total size of the element.
				total size = p + b + set length(width & height)
				2px border + 100 padding + width:  150px (width) = 252 width;

				With the border-box
				total size = p + b + adjusted length (width & height)
				2px border + 100 padding (x-axis) + 48px (width) = 150px width
			*/

			*{
				margin: 0;
				padding: 0;
				box-sizing: border-box;
			}

			#box{
				height: 150px;
				width: 150px;
				background-color: orange;

				padding: 50px;
				border: 1px solid black;
			}


		</style>

	</head>
	<body>
		<div id="box">Hello</div>
	</body>
</html>